E-File Magic

Search

Search account records

Find authorized filers, recipients, orders and other supported records using the same tenant search as the application.

POST
/api/v1/search
Authentication
OAuth 2.0 access token
Required scopes
See authentication requirements
Idempotency key
Not required
Rate-limit cost
5 units

Request fields

6 fields
qRequiredstring

Search text used to filter this collection. Minimum characters: 1. Maximum characters: 256.

archive_scopeOptionalstring | null

Allowed values: "active", "archived", "all". Default: "active".

domainsOptionalarray<string> | null

Minimum items: 1. Maximum items: 10. Items must be unique.

filer_idOptionalstring (uuid) | null

ID of the filer that owns this operation's records.

filing_yearOptionalinteger | null

Filing year to use or filter by. Allowed values: 2022, 2023, 2024, 2025, 2026.

limitOptionalinteger | null

Maximum number of results requested for this page. Minimum: 1. Maximum: 100. Default: 50.

Headers (1)
AuthorizationRequired
OAuth Bearer token with current resource authorization and the required scopes.

Complete request schema: ApiSearchRequest

cURL request
curl --request POST 'https://api.efilemagic.com/api/v1/search' \
  --header 'Authorization: Bearer <access-token>' \
  --header 'Content-Type: application/json' \
  --data-binary @request.json

Replace placeholders with your own values. Use the API resource origin provided for your environment.

Create request.json using the documented fields. Field descriptions are not sample values.